Debian Bug report logs - #707736
qtiplot: calculations in tables don't work after last update

version graph

Package: qtiplot; Maintainer for qtiplot is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for qtiplot is src:qtiplot.

Reported by: Günter Frenz <guefz@freenet.de>

Date: Fri, 10 May 2013 19:36:02 UTC

Severity: serious

Tags: help

Found in versions qtiplot/0.9.8.9-2, qtiplot/0.9.8.9-4

Fixed in version qtiplot/0.9.8.9-6

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Forwarded to ion_vasilief@yahoo.fr

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#707736; Package qtiplot. (Fri, 10 May 2013 19:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Günter Frenz <guefz@freenet.de>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 10 May 2013 19:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Günter Frenz <guefz@freenet.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qtiplot: calculations in tables don't work after last update
Date: Fri, 10 May 2013 21:30:36 +0200
Package: qtiplot
Version: 0.9.8.9-2
Severity: normal

Dear Maintainer,

after the upgrade to 0.9.8.9 I can't insert or change calculations in the
tables with raw data to plot.

I tested it with new imported tables and tables in existing projects. When I
try to set the column-values either in a new column or in an existing column, I
can define a formula as usual but when I want to enter it in the table, I get
the following error message (I have the German language version):

In Tabelle Tabelle1 existiert keine Zeile 0!

In English this is "In table table1 is no line 0!"

regards

Günter



-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages qtiplot depends on:
ii  libalglib-2.6.0           2.6.0-6
ii  libc6                     2.17-1
ii  libgcc1                   1:4.8.0-6
ii  libgl1-mesa-glx [libgl1]  8.0.5-4
ii  libgl2ps0                 1.3.6-1
ii  libglu1-mesa [libglu1]    8.0.5-4
ii  libgsl0ldbl               1.15+dfsg.2-2
ii  libmuparser2              2.2.3-2
ii  liborigin2-1              2:20110117-1+b2
ii  libpng12-0                1.2.49-4
ii  libpython2.7              2.7.3-8
ii  libqt4-network            4:4.8.2+dfsg-11
ii  libqt4-opengl             4:4.8.2+dfsg-11
ii  libqt4-qt3support         4:4.8.2+dfsg-11
ii  libqt4-svg                4:4.8.2+dfsg-11
ii  libqt4-xml                4:4.8.2+dfsg-11
ii  libqtassistantclient4     4.6.3-4
ii  libqtcore4                4:4.8.2+dfsg-11
ii  libqtexengine1            0.3-3
ii  libqtgui4                 4:4.8.2+dfsg-11
ii  libstdc++6                4.8.0-6
ii  libtamuanova-0.2          0.2-2
ii  python                    2.7.3-5
ii  python-qt4                4.9.3-4
ii  python-sip                4.13.3-2
ii  zlib1g                    1:1.2.8.dfsg-1

Versions of packages qtiplot recommends:
pn  qt-assistant-compat  <none>
ii  qtiplot-doc          0.9.8.9-2

qtiplot suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#707736; Package qtiplot. (Mon, 20 May 2013 14:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilario Gelmetti <ilario.gelmetti@sns.it>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 20 May 2013 14:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 707736@bugs.debian.org (full text, mbox):

From: Ilario Gelmetti <ilario.gelmetti@sns.it>
To: Debian Bug Tracking System <707736@bugs.debian.org>
Subject: Re: qtiplot: calculations in tables don't work after last update
Date: Mon, 20 May 2013 15:47:54 +0200
Package: qtiplot
Version: 0.9.8.9-4
Followup-For: Bug #707736

Dear Maintainer,
I also have this problem, the error message is "There's no row 0 in table Table1!".
I can reproduce the problem doing:
open qtiplot, put some numbers in column 1, on column 2 select "Set
Column Values...", click on "Add column", click on "Apply".
Then I get the error.
This error is *not* present installing qtiplot from stable wheezy (qtiplot 0.9.8.8-5, libalglib-2.6.0 2.6.0-6, libmuparser2 2.1.0-3)
This error is present installing qtiplot from testing jessie (qtiplot 0.9.8.8-5, libalglib-2.6.0 2.6.0-6, libmuparser2:amd64 2.2.3-2)
This error is present installing qtiplot from unstable sid (qtiplot 0.9.8.9-4, libalglib3 3.7.0-4, libmuparser2:amd64 2.2.3-2)
>From this seems that qtiplot isn't working properly with libmuparser2 2.2.3-2. Is here the problem?
I solved removing qtiplot and reinstalling from stable.
    apt-get remove qtiplot
    apt-get -t stable install qtiplot
Thanks,
Ilario


-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=it_IT.utf8, LC_CTYPE=it_IT.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages qtiplot depends on:
ii  libalglib3                3.7.0-4
ii  libc6                     2.17-3
ii  libgcc1                   1:4.7.2-5
ii  libgl1-mesa-glx [libgl1]  8.0.5-4
ii  libgl2ps0                 1.3.6-1
ii  libglu1-mesa [libglu1]    8.0.5-4
ii  libgsl0ldbl               1.15+dfsg.2-2
ii  libmuparser2              2.2.3-2
ii  liborigin2-1              2:20110117-1+b2
ii  libpng12-0                1.2.49-4
ii  libpython2.7              2.7.3-8
ii  libqt4-network            4:4.8.2+dfsg-11
ii  libqt4-opengl             4:4.8.2+dfsg-11
ii  libqt4-qt3support         4:4.8.2+dfsg-11
ii  libqt4-svg                4:4.8.2+dfsg-11
ii  libqt4-xml                4:4.8.2+dfsg-11
ii  libqtassistantclient4     4.6.3-4
ii  libqtcore4                4:4.8.2+dfsg-11
ii  libqtexengine1            0.3-3
ii  libqtgui4                 4:4.8.2+dfsg-11
ii  libstdc++6                4.7.2-5
ii  libtamuanova-0.2          0.2-2
ii  python                    2.7.3-5
ii  python-qt4                4.9.3-4
ii  python-sip                4.13.3-2
ii  zlib1g                    1:1.2.7.dfsg-13

Versions of packages qtiplot recommends:
ii  qt-assistant-compat  4.6.3-4
ii  qtiplot-doc          0.9.8.8-5

qtiplot suggests no packages.

-- no debconf information



Message sent on to Günter Frenz <guefz@freenet.de>:
Bug#707736. (Mon, 20 May 2013 17:51:13 GMT) Full text and rfc822 format available.

Message #13 received at 707736-submitter@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 707736-submitter@bugs.debian.org
Subject: qtiplot: calculations in tables don't work after last update
Date: Mon, 20 May 2013 13:49:24 -0400
Thanks, this can also be solved by installing libmuparser2 from stable
and qtiplot from unstable.

libmuparser 2.2.3 and 2.1.0 is supposed to be compatible, but
something changed...



Set Bug forwarded-to-address to 'ion_vasilief@yahoo.fr'. Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Tue, 21 May 2013 17:45:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Tue, 28 May 2013 21:09:04 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Tue, 28 May 2013 21:09:05 GMT) Full text and rfc822 format available.

Message sent on to Günter Frenz <guefz@freenet.de>:
Bug#707736. (Tue, 28 May 2013 21:09:12 GMT) Full text and rfc822 format available.

Message #22 received at 707736-submitter@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 707736-submitter@bugs.debian.org, control@bugs.debian.org
Subject: qtiplot no longer can edit columns with ne libmuparser
Date: Tue, 28 May 2013 17:05:33 -0400
severity 707736 serious
tags 707736 help
thanks

This is important enough to prevent migrating to testing. I'm really
busy with grants for a few weeks, so if anyone wants to look at it I'd
appreciate it.



Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Sat, 08 Jun 2013 16:51:05 GMT) Full text and rfc822 format available.

Notification sent to Günter Frenz <guefz@freenet.de>:
Bug acknowledged by developer. (Sat, 08 Jun 2013 16:51:05 GMT) Full text and rfc822 format available.

Message #27 received at 707736-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 707736-close@bugs.debian.org
Subject: Bug#707736: fixed in qtiplot 0.9.8.9-6
Date: Sat, 08 Jun 2013 16:48:48 +0000
Source: qtiplot
Source-Version: 0.9.8.9-6

We believe that the bug you reported is fixed in the latest version of
qtiplot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707736@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated qtiplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Jun 2013 02:21:57 -0400
Source: qtiplot
Binary: qtiplot qtiplot-doc
Architecture: source amd64 all
Version: 0.9.8.9-6
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 qtiplot    - data analysis and scientific plotting
 qtiplot-doc - data analysis and scientific plotting (documentation)
Closes: 707736
Changes: 
 qtiplot (0.9.8.9-6) unstable; urgency=low
 .
   * Fix bug were table columns could not be set (Closes: #707736)
     - debian/patches/set_col_values.patch
Checksums-Sha1: 
 e0f8a09e0e693f57389e72af31f9873d1d840271 1829 qtiplot_0.9.8.9-6.dsc
 a43b77ffbb26953eceb19e51e1401455deaa4df9 21018 qtiplot_0.9.8.9-6.debian.tar.gz
 11a97a81aacd013ae41e527f2db5433efabc27dc 3727744 qtiplot_0.9.8.9-6_amd64.deb
 872759130667945f77f8cec8a45136bc51005aef 32540226 qtiplot-doc_0.9.8.9-6_all.deb
Checksums-Sha256: 
 b18c18d5757ca5effd51bc7dd03161de23d978548d2e39a4e69cf34a727c75cb 1829 qtiplot_0.9.8.9-6.dsc
 5368d9b161c07e6c254ebb74658ac4114d439f11aa8e0d49164a882097354983 21018 qtiplot_0.9.8.9-6.debian.tar.gz
 14640a4a8fbb27a7c810f24b70c2d91b5e0d71938a527828103586151a6b5e50 3727744 qtiplot_0.9.8.9-6_amd64.deb
 50abbd4deb701dae4f50852ab584d1dcb89d4daa97a7e69c2ba54a3e3f8c99d8 32540226 qtiplot-doc_0.9.8.9-6_all.deb
Files: 
 005b1c81b4c803dbe709601c0f6d423e 1829 math optional qtiplot_0.9.8.9-6.dsc
 b9aeec9717a0d8e6b1e088c84b606c23 21018 math optional qtiplot_0.9.8.9-6.debian.tar.gz
 38826f166d686f2a553fec441d6ca4d8 3727744 math optional qtiplot_0.9.8.9-6_amd64.deb
 7f2ca30c499926f56089ee2c3bc07af2 32540226 doc optional qtiplot-doc_0.9.8.9-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGzXjwACgkQuqVp0MvxKmp2EQCeLhK1HwCT+dEnD7PuUoh/qHxI
odUAoNi54X3vNFtcqBvHw0rRsXsUYU0r
=eiKj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Jul 2013 07:29:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:37:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.